package com.nisum.mytime.service;

import java.util.List;
import java.util.Map;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Account;

public interface AccountService {
	
	String addAccount(Account account,String action) throws MyTimeException;

	List<Account> getAccounts() throws MyTimeException;

	List<Map<Object, Object>> getAccountsList() throws MyTimeException;

	List<Account> validateAccounts(String accountName) throws MyTimeException;
	
}
